/***************************************************************************
    Description          : KPuzzle - A KDE Jigsaw Puzzle Game
    Version              : 0.2
    Copyright            : (C) 2000-2001 by Michael Wand
    EMail                : mwand@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GAMEDIALOG_H
#define GAMEDIALOG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qdialog.h>

#include <qwidget.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include <qlayout.h>

/* This class represents the dialog shown when
 * a game starts. The selectable parameters are
 * - the game type
 * - the piece size
 * - the difficulty level
 * - the shape of the jigsaw puzzle pieces.
 */
class CGameDialog : public QDialog
{
	Q_OBJECT
public:
	/* Constructor. */
	CGameDialog(QWidget* parent);

	/* Destructor. */
	virtual ~CGameDialog();

	/* Data */
public:
	/* Access functions to the dialog settings. */
	char gameType();
	char pieceSize();
	char difficulty();
	bool useMask() { return _useMask->isChecked(); }

protected:
	/* Sub-widgets. */
	QVBoxLayout* _vbox;
	QHBoxLayout* _hbox;

	QComboBox* _gameType;
	QComboBox* _pieceSize;
	QComboBox* _difficulty;
	QCheckBox* _useMask;

protected slots:
	/* This slot is connected to the help button and invokes the 
	 * KDE Help System.
	 */
	void slotHelp();
};

#endif // GAMEDIALOG_H
