/***************************************************************************
    Description          : KPuzzle - A KDE Jigsaw Puzzle Game
    Version              : 0.2
    Copyright            : (C) 2000-2001 by Michael Wand
    EMail                : mwand@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "main.h"

#include "kpuzzle.h"
#include "piece.h"

#include <kapp.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include <qcache.h>
#include <qbitmap.h>

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

static const char *description =
    I18N_NOOP("A KDE-based jigsaw puzzle.");

static const char *version = "v0.4";

/* This functions tests for the --author command line parameter. If
 * it is found, a help text which does *not* reference bugs.kde.org
 * is printed, and the program terminates successfully.
 */
void testForAuthorParameter(int argc, char **argv)
{
	int i;
	for (i = 0;i < argc;++i) {
		if (!(strncmp(argv[i],"--author",8))) {
			printf("KPuzzle was written by Michael Wand <mwand@gmx.de>.\n");
			printf("Please mail bugs and suggestions to mwand@gmx.de, do not use \n");
			printf("bugs.kde.org, as I don't do so either. \n");
			exit(EXIT_SUCCESS);
		}
	} 
}

/* Main function of this program. Initializes the KApplication object.
 */
int main(int argc, char **argv)
{
	testForAuthorParameter(argc,argv);
	
	KAboutData about("kpuzzle", I18N_NOOP("KPuzzle"), version, description, KAboutData::License_GPL,
			"(C) 2000-2004 Michael Wand",0,"http://kpuzzle.sourceforge.net","mwand@gmx.de");
	about.addAuthor( "Michael Wand", 0, "mwand@gmx.de" );
//	about.setBugAddress("mwand@gmx.de");
	
	KCmdLineArgs::init(argc, argv, &about);
	KApplication app;

	/* Cache for regularly used bitmaps. */
	maskCache = new QCache<QBitmap>;

	/* No session management - just create widget and go ahead */
	KPuzzle *widget = new KPuzzle;
	widget->show();

	return app.exec();
}
