/***************************************************************************
    Description          : KPuzzle - A KDE Jigsaw Puzzle Game
    Version              : 0.2
    Copyright            : (C) 2000-2001 by Michael Wand
    EMail                : mwand@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SAVEDIALOG_H
#define SAVEDIALOG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qdialog.h>

#include <qwidget.h>
#include <qcheckbox.h>
#include <qmultilineedit.h>
#include <qlabel.h>
#include <qlayout.h>

/* This is the dialog which appears after the player
 * has given a filename for saving the game. It just
 * asks whether the game pixmap should be saved in the pzz file. */
class CSaveDialog : public QDialog
{
	Q_OBJECT
public:
	/* Constructor */
	CSaveDialog(QWidget* parent, bool savePixmap);

	/* Destructor */
	virtual ~CSaveDialog();

/* Data */
public:
	/* Access function for the "Save Pixmap" setting. */
	bool savePixmap() const { return _savePixmap->isChecked(); }

	/* XXX */
	QString annotation() const { return QString::null; }

protected:
	/* Sub-widgets */
	QVBoxLayout* _vbox;
	QHBoxLayout* _hbox;

	QCheckBox* _savePixmap;

protected slots:
	/* Slot for the help button, invokes the KDE Help. */
	void slotHelp();
};

#endif /* GAMEDIALOG_H */
